> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://virtuous.ferndocs.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://virtuous.ferndocs.com/_mcp/server.

# Get a paginated list of webhook logs.

GET https://prod-api.raisedonors.com/api/Webhook/log/list

Reference: https://virtuous.ferndocs.com/reference/raise/webhook/getwebhooklogs

## Authentication

- `Authorization` header (required) — JWT Authorization header using the Bearer scheme. Example: "Authorization: Bearer \{token}"

## Request

### Query parameters

- `Filter` (string, optional)
- `Skip` (integer, optional)
- `Take` (integer, optional)
- `SortBy` (enum, optional) — Field to sort by (case-insensitive). Valid options: createddatetime, id
  - Allowed values: `createddatetime`, `id`
- `Descending` (boolean, optional)
- `IncludeDetails` (boolean, optional)

## Response

### 200

OK

- `items` (list of WebhookLogListModelPagedResponseItemsItems, optional)
- `total` (integer, optional)

## Errors

### 400 Bad Request Error

Bad Request

- `Webhook_GetWebhookLogsRequestBadRequestError`
  - ProblemDetails: ProblemDetails
  - HttpValidationProblemDetails: HttpValidationProblemDetails

## Types

### WebhookLogListModelPagedResponseItemsItems

Represents a webhookloglist model.

- WebhookLogListModel: WebhookLogListModel
- WebhookLogModel: WebhookLogModel

### ProblemDetails

- `type` (string, optional, nullable)
- `title` (string, optional, nullable)
- `status` (integer, optional, nullable)
- `detail` (string, optional, nullable)
- `instance` (string, optional, nullable)

### HttpValidationProblemDetails

- `detail` (string, optional, nullable)
- `errors` (map from string to list of string, optional, nullable)
- `instance` (string, optional, nullable)
- `status` (integer, optional, nullable)
- `title` (string, optional, nullable)
- `type` (string, optional, nullable)

### WebhookLogListModel

Represents a webhookloglist model.

- `id` (long, optional) — Gets or sets the identifier.
- `webhookId` (long, optional) — Gets or sets the webhook identifier.
- `contextId` (long, optional) — Gets or sets the context identifier.
- `eventType` (enum, optional) — Gets or sets the event type.
  - Allowed values: `10`, `11`, `12`, `20`, `21`, `22`, `30`, `31`, `32`, `40`, `41`, `42`, `50`, `51`, `52`
- `eventTypeDisplay` (string, optional, nullable) — Gets or sets the event type display.
- `serverResponse` (string, optional, nullable) — Gets or sets the server response.
- `success` (string, optional, nullable) — Gets or sets the success.
- `httpStatusCode` (string, optional, nullable) — Gets or sets the http status code.
- `createdDate` (string, optional, nullable) — Gets or sets the created date.
- `modifiedDate` (string, optional, nullable) — Gets or sets the modified date.

### WebhookLogModel

Represents a webhooklog model.

- `contextId` (long, optional) — Gets or sets the context identifier.
- `createdDate` (string, optional, nullable) — Gets or sets the created date.
- `eventType` (enum, optional) — Gets or sets the event type.
  - Allowed values: `10`, `11`, `12`, `20`, `21`, `22`, `30`, `31`, `32`, `40`, `41`, `42`, `50`, `51`, `52`
- `eventTypeDisplay` (string, optional, nullable) — Gets or sets the event type display.
- `httpStatusCode` (string, optional, nullable) — Gets or sets the http status code.
- `id` (long, optional) — Gets or sets the identifier.
- `modifiedDate` (string, optional, nullable) — Gets or sets the modified date.
- `payLoad` (string, optional, nullable) — Gets or sets the pay load.
- `serverResponse` (string, optional, nullable) — Gets or sets the server response.
- `success` (string, optional, nullable) — Gets or sets the success.
- `webhookId` (long, optional) — Gets or sets the webhook identifier.
- `webhookName` (string, optional, nullable) — Gets or sets the webhook name.

## Examples

**Request**

```json
{}
```

**Response**

```json
{
  "items": [
    {
      "id": 1024,
      "webhookId": 58,
      "contextId": 7890,
      "eventType": 10,
      "eventTypeDisplay": "Donation Created",
      "serverResponse": "{\"status\":\"ok\",\"message\":\"Webhook received successfully\"}",
      "success": "true",
      "httpStatusCode": "200",
      "createdDate": "2024-06-10T15:22:30Z",
      "modifiedDate": "2024-06-10T15:23:00Z"
    }
  ],
  "total": 1
}
```

**SDK Code**

```python
import requests

url = "https://prod-api.raisedonors.com/api/Webhook/log/list"

querystring = {"SortBy":"createddatetime"}

payload = {}
headers = {
    "Authorization": "<apiKey>",
    "Content-Type": "application/json"
}

response = requests.get(url, json=payload, headers=headers, params=querystring)

print(response.json())
```

```javascript
const url = 'https://prod-api.raisedonors.com/api/Webhook/log/list?SortBy=createddatetime';
const options = {
  method: 'GET',
  headers: {Authorization: '<apiKey>', 'Content-Type': 'application/json'},
  body: '{}'
};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"strings"
	"net/http"
	"io"
)

func main() {

	url := "https://prod-api.raisedonors.com/api/Webhook/log/list?SortBy=createddatetime"

	payload := strings.NewReader("{}")

	req, _ := http.NewRequest("GET", url, payload)

	req.Header.Add("Authorization", "<apiKey>")
	req.Header.Add("Content-Type", "application/json")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://prod-api.raisedonors.com/api/Webhook/log/list?SortBy=createddatetime")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request["Authorization"] = '<apiKey>'
request["Content-Type"] = 'application/json'
request.body = "{}"

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://prod-api.raisedonors.com/api/Webhook/log/list?SortBy=createddatetime")
  .header("Authorization", "<apiKey>")
  .header("Content-Type", "application/json")
  .body("{}")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://prod-api.raisedonors.com/api/Webhook/log/list?SortBy=createddatetime', [
  'body' => '{}',
  'headers' => [
    'Authorization' => '<apiKey>',
    'Content-Type' => 'application/json',
  ],
]);

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://prod-api.raisedonors.com/api/Webhook/log/list?SortBy=createddatetime");
var request = new RestRequest(Method.GET);
request.AddHeader("Authorization", "<apiKey>");
request.AddHeader("Content-Type", "application/json");
request.AddParameter("application/json", "{}", ParameterType.RequestBody);
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let headers = [
  "Authorization": "<apiKey>",
  "Content-Type": "application/json"
]
let parameters = [] as [String : Any]

let postData = JSONSerialization.data(withJSONObject: parameters, options: [])

let request = NSMutableURLRequest(url: NSURL(string: "https://prod-api.raisedonors.com/api/Webhook/log/list?SortBy=createddatetime")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"
request.allHTTPHeaderFields = headers
request.httpBody = postData as Data

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```